Results 1 to 6 of 6

Thread: Installation process of libreadline5-dev

  1. #1

    Default Installation process of libreadline5-dev

    Hallow there openSUSE folks. I recently moved from Debian and Fedora to openSUSE, everything went very smooth and I was very pleased until I saw that libreadline5-dev is missing in repositories. I have searched over Google for a few hours but I haven't met a reasonable solution to appropriately and easily install libreadline5-dev in openSUSE. I already have noticed that openSUSE has it's own behavior and I have badly interfered with it in a bad way, so I came by thought that I might be welcome at the official forums and ask if anybody has dealt with the issue of installing libreadline5-dev under openSUSE in a polite to the system way.

    Thanks in advance.

  2. #2
    Join Date
    Mar 2009
    Location
    United States
    Posts
    612

    Default Re: Installation process of libreadline5-dev

    readline5-devel is right in oss for me. Try:
    Code:
    zypper in readline5-devel

  3. #3
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,928
    Blog Entries
    2

    Default Re: Installation process of libreadline5-dev

    On my x64 openSUSE 12.2

    Code:
    $ zypper se libreadline*
    
    Loading repository data...
    Reading installed packages...
    
    S | Name                     | Summary                               | Type      
    --+--------------------------+---------------------------------------+-----------
      | libreadline-java         | Java Wrapper for the EditLine Library | package   
      | libreadline-java         | Java Wrapper for the EditLine Library | srcpackage
      | libreadline-java-32bit   | Java Wrapper for the EditLine Library | package   
      | libreadline-java-javadoc | Javadoc for libreadline-java          | package   
      | libreadline5             | The Readline Library                  | package   
      | libreadline5             | The Readline Library                  | srcpackage
      | libreadline5-32bit       | The Readline Library                  | package   
    i | libreadline6             | The Readline Library                  | package   
      | libreadline6-32bit       | The Readline Library                  | package
    So, it looks like the src package is available although I don't know why it appears to be named the same as the regular.
    Maybe someone an opine if there is a package labeling error.

    But I dont' see a development package available, either.

    TSU

  4. #4
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Installation process of libreadline5-dev

    Am 26.10.2012 22:46, schrieb AwkwardDev:
    > issue of installing libreadline5-dev under openSUSE in a polite to the

    Isn't that simply
    Code:
    sudo zypper in readline5-devel
    ?

    --
    PC: oS 12.2 x86_64 | i7-2600@3.40GHz | 16GB | KDE 4.8.5 | GeForce GT 420
    ThinkPad E320: oS 12.2 x86_64 | i3@2.30GHz | 8GB | KDE 4.9.2 | HD 3000
    eCAFE 800: oS 11.4 i586 | AMD Geode LX 800@500MHz | 512MB | lamp server

  5. #5
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,928
    Blog Entries
    2

    Default Re: Installation process of libreadline5-dev

    I take that back, apparently it's there as an app package instead as a "lib"
    Code:
    $ zypper se readline5-devel
    Loading repository data...
    Reading installed packages...
    
    S | Name                  | Summary                                               | Type   
    --+-----------------------+-------------------------------------------------------+--------
      | readline5-devel       | Include Files and Libraries mandatory for Development | package
      | readline5-devel-32bit | Include Files and Libraries mandatory for Development | package

  6. #6

    Default Re: Installation process of libreadline5-dev

    Thank you all for the fast responses! I appear to have had an issue with my repositories with missing metadata xml file. I fixed but still had no luck with libreadline5-devel, however I tried a command line installation and it worked. I am still wondering although why with zypper it installed the library but with Install/Remove Software it couldn't find such a package to install. I guess it's just a weird kind of graphical error.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •